<template>
  <page-layout>
    <!-- Page Content Start -->
    <lazy-hydrate when-idle>
      <home-hero-section id="home-hero-section" v-bind="cover" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <home-intro-section id="home-intro-section" v-bind="content.intro" />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <home-services-section
        id="home-services-section"
        v-bind="content.services"
      />
    </lazy-hydrate>

    <lazy-hydrate when-visible>
      <home-choose-us-section
        id="home-choose-us-section"
        v-bind="content.chooseUs"
      />
    </lazy-hydrate>
    <!-- Page Content End -->
  </page-layout>
</template>

<script>
import PageSections from '~/components/home';
import metaInfoMixin from '~/mixins/metaInfo.js';

export default {
  name: 'Index',
  components: PageSections,
  mixins: [metaInfoMixin],
  computed: {
    cover() {
      return this.$page.content.cover;
    },
    content() {
      const { intro, services, chooseUs } = this.$page.content;

      return {
        intro,
        services,
        chooseUs,
      };
    },
  },
};
</script>

<page-query>
  query HomePageContent {
    content: homePageContent(path: "/home/") {
      meta {
        title
        description
      }
      cover {
        heading
        coverImage {
          image
          description
        }
      }
      intro {
        heading
        text
        featureItems {
          icon
          label
        }
      }
      services {
        heading
        text
        checklists {
          heading
          checklistItems {
            icon
            label
          }
        }
        serviceItems {
          label
          routeId
          itemImage {
            image
            description
          }
        }
        cta {
          action
          routeId
        }
      }
      chooseUs {
        heading
        text
        conceptItems {
          icon
          title
          text
        }
      }
    }
  }
</page-query>
